<template lang="html">
  <div class="app">
    <div class="chips-block">
      <div class="chips__up-block">
        <div class="chip-close"></div>
        <div class="chip-1" ref="chipValue1" @click="setBetValue1"></div>
        <div class="chip-2" ref="chipValue2" @click="setBetValue2"></div>
      </div>
      <div class="chips__down-block">
        <div class="chip-5"></div>
        <div class="chip-10"></div>
        <div class="chip-25"></div>
      </div>
      </div>
    <div class="buttons-block">
      <div class="first-floor">
        <div class="cancel">
          <button type="button" @click="test" name="button"><img src="../../assets/img/table/cancel-button-img.png" alt="#"></button>
          <span>{{ cancelTitle }}</span>
        </div>
        <div class="double">
          <button type="button" name="button"><img src="../../assets/img/table/double-button-img.png" alt="#"></button>
          <span>{{ doubleTitle }}</span>
        </div>
        <div class="repeat">
          <button type="button" name="button"><img src="../../assets/img/table/repeat-button-img.png" alt="#"></button>
          <span>{{ repeatTitle }}</span>
        </div>
      </div>
      <div class="second-floor">
        <div class="withdraw">
          <button type="button" name="button"><img src="../../assets/img/table/withdraw-button-img.png" alt="#"></button>
          <span>{{ withdrawTitle }}</span>
        </div>
        <div class="exit">
          <router-link to='/' class="router-link-table">
              <button  type="button" name="button"><img src="../../assets/img/table/exit-button-img.png" alt="#"></button>
              <span>{{ exitTitle }}</span>
          </router-link>
        </div>
      </div>
    </div>
  </div>
</template>
<script>

export default {
    created() {
      betValue1: 1
    },
    methods: {
      setBetValue1() {
        this.betValue = 1;
        if (this.chipValueStatus = true) {
          this.$refs.chipValue1.style.transform = "scale(1.2)";
          this.chipValueStatus = false;
        }
        else {
          this.$refs.chipValue1.style.transform = "scale(1)";
        }
        console.log(this.betValue);
      },

      setBetValue2() {
        this.betValue = 2;
        if (this.chipValueStatus = true) {
          this.$refs.chipValue2.style.transform = "scale(1.2)";
          this.chipValueStatus = false;
        }
        else {
          this.$refs.chipValue2.style.transform = "scale(1)";
        }
        console.log(this.betValue);
      },

      test() {
        console.log('1');
      },
      betValue_1(event) {
        this.$emit('clicked', this.betValue1)
        console.log('good test chips')
      }
    },
    data () {
      return {
        cancelTitle: 'Отмена',
        doubleTitle: 'Дубль',
        repeatTitle: 'Повтор',
        withdrawTitle: 'Снять',
        exitTitle: 'Выход',

        betValue: '',
        chipValueStatus: false,
      }
    }
}
</script>

<style lang="scss" scoped>

    .chip-1:hover,
    .chip-2:hover,
    .chip-5:hover,
    .chip-10:hover,
    .chip-25:hover,
    .chip-close:hover{
      transform: scale(1.2);
      box-shadow: 1px 3px 14px 0px black;

      transition: all ease .3s;
  }
  .buttons-block {
    display: flex;
    flex-direction: column;

    margin-top: 46px;
    .router-link-table {
      display: flex;
      flex-direction: column;
      align-items: center;

      text-decoration: none;
    }
    .second-floor {
      margin-top: 11px;
    }
    .first-floor,
    .second-floor {
      display: flex;

      justify-content: space-evenly;
      div {
        display: flex;
        flex-direction: column;
        align-items: center;
        button {
          padding: 0;
          border: 0;
          background: transparent;
          cursor: pointer;
          outline: none;
        }
        span {
          color: white;
          font-weight: bold;
          font-family: sans-serif;
        }
      }
    }
  }
  .chips-block {
    margin-top: 70px;
    .chips__up-block,
    .chips__down-block {
      display: flex;
      justify-content: space-around;
      div {
        background-position: center;
        background-size: contain;
        background-repeat: no-repeat;

        width: 70px;
        height: 70px;

        border-radius: 50%;
      }
    }
    .chips__down-block {
      margin-top: 30px;
    }
    .chip-close {
      background-image: url(../../assets/img/table/chip-close.svg);
    }
    .chip-1 {
      background-image: url(../../assets/img/table/chip-1.svg);
    }
    .chip-2 {
      background-image: url(../../assets/img/table/chip-2.svg);
    }
    .chip-5 {
      background-image: url(../../assets/img/table/chip-5.svg);
    }
    .chip-10 {
      background-image: url(../../assets/img/table/chip-10.svg);
    }
    .chip-25 {
      background-image: url(../../assets/img/table/chip-25.svg);
    }
  }
</style>
